<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  admin_order_help.php                                     ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("sales_orders");

	$cc = get_param("cc");
	$links = get_param("links");
	$final = get_param("final");
	$status = get_param("status");
	$payment_id = get_param("payment_id");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_order_help.html");
	$t->show_tags = true;

	$t->set_var("cart_fields", "");
	$t->set_var("details_fields", "");
	$t->set_var("payment_fields", "");
	$sql  = " SELECT property_id, property_type, property_name ";
	$sql .= " FROM " . $table_prefix . "order_custom_properties ";
	if ($payment_id > 0) {
		$sql .= " WHERE (property_type=4 AND payment_id=" . $db->tosql($payment_id, INTEGER) . ") ";
		$sql .= " OR property_type IN (1,2,3) ";
	}
	$db->query($sql);
	while ($db->next_record()) {
		$field_id = $db->f("property_id");
		$field_type = $db->f("property_type");
		$field_name = $db->f("property_name");
		$t->set_var("field_id",   $field_id);
		$t->set_var("field_name", $field_name);
		if ($field_type == 1) {
			$t->parse("cart_fields", true);
		} else if ($field_type == 2 || $field_type == 3) {
			$t->parse("details_fields", true);
		} else if ($field_type == 4) {
			$t->parse("payment_fields", true);
		}
	}

	if ($cc || $final) {
		$t->parse("credit_card_info", false);
	} else {
		$t->set_var("credit_card_info", "");
	}

	if($links || $final) {
		$t->parse("links_info", false);
	} else {
		$t->set_var("links_info", "");
	}

	if($status) {
		$t->parse("links_info", false);
		$t->set_var("basket_tag", "");
		$t->set_var("cart_fields", "");
		$t->set_var("details_fields", "");
		$t->set_var("payment_fields", "");
	} else {
		$t->parse("basket_tag", false);
	}	

	$t->pparse("main");

?>