<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                        ***
  ***      File:  block_articles_category.php                              ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                ***
  ***                                                                      ***
  ****************************************************************************
*/


function articles_category($block_name, $category_id, $category_name, $full_description, $image_large, $image_large_alt)
{
	global $t, $db, $table_prefix;
	global $page_settings, $restrict_categories_images;

	if(get_setting_value($page_settings, $block_name . "_column_hide", 0)) {
		return;
	}

	if(strlen($full_description))
	{
	  $t->set_file("block_body", "block_category_description.html");

		if (strlen($image_large)) {
			if (preg_match("/^http\:\/\//", $image_large)) {
				$image_size = "";
			} else {
	      $image_size = @GetImageSize($image_large);
				if (isset($restrict_categories_images) && $restrict_categories_images) { $image_large = "image_show.php?art_cat_id=".$category_id."&type=large"; }
			}
			if (!strlen($image_large_alt)) { $image_large_alt = $category_name; }
      $t->set_var("alt", htmlspecialchars($image_large_alt));
      $t->set_var("src", htmlspecialchars($image_large));
			if(is_array($image_size)) {
	      $t->set_var("width", "width=\"" . $image_size[0] . "\"");
  	    $t->set_var("height", "height=\"" . $image_size[1] . "\"");
			} else {
	      $t->set_var("width", "");
  	    $t->set_var("height", "");
			}
			$t->global_parse("image_large_block", false, false, true);
		} else {
			$t->set_var("image_large_block", "");
		}

		$t->set_var("category_name", $category_name);
		$t->set_var("full_description", $full_description);

		$t->parse("block_body", false);
		$t->parse($block_name, true);
	}

}

?>