<?php
/*
  ****************************************************************************
  ***                                                                      ***
  ***                                                       ***
  ***      File:  admin_state.php                                          ***
  ***      Built: Fri Feb 23 18:29:53 2007                                 ***
  ***                                                  ***
  ***                                                                      ***
  ****************************************************************************
*/


	include("./admin_config.php");
	include($root_folder_path . "includes/common.php");
	include($root_folder_path . "includes/record.php");

	check_admin_security("static_tables");

  $t = new VA_Template($settings["admin_templates_dir"]);
  $t->set_file("main","admin_state.html");

	$t->set_var("admin_href", "admin.php");
	$t->set_var("admin_lookup_tables_href", "admin_lookup_tables.php");
	$t->set_var("admin_states_href", "admin_states.php");
	$t->set_var("admin_state_href", "admin_state.php");

	$r = new VA_Record($table_prefix . "states");
	$r->return_page = "admin_states.php";

	$r->add_where("state_code", TEXT);

	$r->add_textbox("state_code_edit", TEXT, "State Code");
	$r->parameters["state_code_edit"][COLUMN_NAME] = "state_code";
	$r->parameters["state_code_edit"][REQUIRED] = true;
	$r->parameters["state_code_edit"][UNIQUE] = true;

	$r->add_textbox("state_name", TEXT, "State Name");
	$r->parameters["state_name"][REQUIRED] = true;

	$r->process();

	include("./admin_header.php");
	include("./admin_footer.php");

	$t->pparse("main");

?>
